WebScrapingAPI Docs
Retailer APIsLowe's Search APILowe's Search Types

Lowe's Product

Scrape Lowe's products in real time with the Lowe's API.

Scrape Lowe's products in real time with the Lowe's API.

Lowe's Product Parameters

The Lowe's Product feature only takes one specific parameter:

ParameterRequiredTypeDescription
product_idstringThe ID of the Lowe's product you want to scrape.

Your full GET request should then be sent to the following address:

https://ecom.webscrapingapi.com/v1?api_key=<YOUR_API_KEY>&engine=lowes&product_id=<PRODUCT_ID>

How to get Lowe's Product ID

Lowe's identifies products by their ID. Our API uses the same identifier to scrape a Lowe's product.

To get the ID of a Lowe's product, first navigate to its page. The ID of a product can be extracted straight from the URL. The structure of a Lowe's product URL is:

https://<LOWES_DOMAIN>/pd/<PRODUCT_NAME>/<PRODUCT_ID>

Lowe's Product Integration Examples

curl --get "https://ecom.webscrapingapi.com/v1" \
  --data-urlencode "api_key=<YOUR_API_KEY>" \
  --data-urlencode "engine=lowes" \
  --data-urlencode "product_id=5014255941"
const API_KEY = "<YOUR_API_KEY>";
const SCRAPER_URL = "https://ecom.webscrapingapi.com/v1";

const params = new URLSearchParams({
  api_key: API_KEY,
  engine: "lowes",
  product_id: "5014255941",
});

const response = await fetch(`${SCRAPER_URL}?${params}`);
const data = await response.text();

console.log(data);
import requests

API_KEY = "<YOUR_API_KEY>"
SCRAPER_URL = "https://ecom.webscrapingapi.com/v1"

PARAMS = {
    "api_key": API_KEY,
    "engine": "lowes",
    "product_id": "5014255941",
}

response = requests.get(SCRAPER_URL, params=PARAMS)

print(response.text)
<?php

$apiKey = '<YOUR_API_KEY>';
$scraperUrl = 'https://ecom.webscrapingapi.com/v1';

$query = http_build_query([
    'api_key' => $apiKey,
    'engine' => 'lowes',
    'product_id' => '5014255941',
]);

$response = file_get_contents("{$scraperUrl}?{$query}");

echo $response;
package main

import (
    "fmt"
    "io"
    "net/http"
    "net/url"
)

func main() {
    apiKey := "<YOUR_API_KEY>"
    baseURL := "https://ecom.webscrapingapi.com/v1"

    params := url.Values{}
    params.Add("api_key", apiKey)
    params.Add("engine", "lowes")
    params.Add("product_id", "5014255941")

    req, _ := http.NewRequest("GET", baseURL+"?"+params.Encode(), nil)
    res, _ := http.DefaultClient.Do(req)
    defer res.Body.Close()

    body, _ := io.ReadAll(res.Body)
    fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;

public class Main {
    public static void main(String[] args) throws Exception {
        String apiKey = "<YOUR_API_KEY>";
        String url = "https://ecom.webscrapingapi.com/v1"
            + "?api_key=" + URLEncoder.encode(apiKey, StandardCharsets.UTF_8)
            + "&engine=lowes"
            + "&product_id=5014255941";

        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .GET()
            .build();

        HttpResponse<String> response = HttpClient.newHttpClient().send(
            request,
            HttpResponse.BodyHandlers.ofString()
        );

        System.out.println(response.body());
    }
}
using System;
using System.Net;
using System.Net.Http;
using System.Threading.Tasks;

class Program
{
    static async Task Main()
    {
        var apiKey = "<YOUR_API_KEY>";
        var url = "https://ecom.webscrapingapi.com/v1"
            + "?api_key=" + WebUtility.UrlEncode(apiKey)
            + "&engine=lowes"
            + "&product_id=5014255941";

        using var client = new HttpClient();
        var response = await client.GetAsync(url);
        var body = await response.Content.ReadAsStringAsync();

        Console.WriteLine(body);
    }
}
require "net/http"
require "uri"

api_key = "<YOUR_API_KEY>"
uri = URI("https://ecom.webscrapingapi.com/v1")
uri.query = URI.encode_www_form({
  api_key: api_key,
  engine: "lowes",
  product_id: "5014255941",
})

response = Net::HTTP.get_response(uri)

puts response.body

Lowe's Product Response

Response properties

The Lowe's Product feature returns a JSON object containing data related to the scraped Lowe's product. Among others, you will get an overview of:

FieldTypeDescription
namestringProduct name.
brandstringProduct brand.
description_fullstringFull product description.
description_shortstringShort product description or key highlights.
imagesarrayProduct image URLs.
pickup_extrasobjectPickup availability and fulfillment metadata.
pricenumberProduct price when available.
product_identifiersobjectProduct identifiers such as item number, model, SKU, or UNSPSC.
ratingnumberAggregate product rating.
related_products_bought_togetherarrayProducts commonly bought together with the current product.
related_products_similararraySimilar products shown by Lowe's.
specificationobjectProduct specification fields.

Response example

{
  "name": "GE Profile 4.8-cu ft Capacity Carbon Graphite Ventless All-in-One Washer/Dryer Combo ENERGY STAR",
  "brand": "GE",
  "description_short": "2-in-1 Washer/Dryer - wash and dry a large load of laundry in about 2 hours without the hassle of transferring clothes from the washer to the dryer.",
  "image_primary": "https://mobileimages.lowes.com/productimages/87b08dab-0281-4ade-a914-45587269762e/66221690.jpeg",
  "images": [
    "https://mobileimages.lowes.com/productimages/a9224b45-e2d2-4132-be95-036b0bc8b468/66227928.jpeg"
  ],
  "model_number": "PFQ97HSPVDS",
  "pickup_available": true,
  "price": 2298,
  "price_regular": 2899,
  "price_discount_percent": 20.73,
  "price_currency": "USD",
  "product_identifiers": {
    "item_number": "5338249",
    "model": "PFQ97HSPVDS",
    "sku": "5014255941",
    "unspsc": "52141600"
  },
  "rating_count": 0,
  "rating": 0,
  "related_products_bought_together": [
    {
      "brand": "GE",
      "description": "7-in x 28-in Universal Laundry Pedestal (Carbon Graphite)",
      "item_number": "1117438",
      "model_id": "GFR0728PTDS",
      "price": 229,
      "position": 1,
      "rating": "4.4",
      "review_count": "79"
    }
  ],
  "related_products_similar": [
    {
      "brand": "LG",
      "description": "4.5-cu ft Capacity Black Steel Ventless All-in-One Washer/Dryer Combo with Steam Cycle",
      "item_number": "2573577",
      "model_id": "WM3998HBA",
      "price": 2199,
      "position": 1,
      "rating": "3.7",
      "review_count": "307"
    }
  ],
  "specification": {
    "Appliance Color/Finish": "Black",
    "Capacity": "4.8 cu ft",
    "Manufacturer Color/Finish": "Carbon Graphite"
  }
}

On this page